Package org.apache.sling.testing.clients.osgi

# Enum Bundle.Status

java.lang.Object
java.lang.Enum<Bundle.Status>
org.apache.sling.testing.clients.osgi.Bundle.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<Bundle.Status>`

Enclosing class:
  `Bundle`

public static enum Bundle.Status extends Enum<Bundle.Status>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACTIVE`
`FRAGMENT`
`INSTALLED`
`RESOLVED`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static Bundle.Status`
`value(String o)`
`static Bundle.Status`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Bundle.Status[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ACTIVE

public static final Bundle.Status ACTIVE

### FRAGMENT

public static final Bundle.Status FRAGMENT

### RESOLVED

public static final Bundle.Status RESOLVED

### INSTALLED

public static final Bundle.Status INSTALLED

## Method Details

### values

public static Bundle.Status[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Bundle.Status valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### value

public static Bundle.Status value(String o)

### toString

public String toString()

Overrides:
  `toString` in class `Enum<Bundle.Status>`